@ECHO OFF
IF "%TOUCH_PATH%"=="" GOTO CAL_ERR1
IF "%TOUCH_PATH1%"=="" GOTO CAL_ERR1
CLS
%TOUCH_PATH%\IDTOUCH
IF ERRORLEVEL 2 GOTO DPRO_SC3
IF ERRORLEVEL 1 GOTO DPRO_BUS
GOTO CAL_ERR

:DPRO_SC3
REM
REM Calibration script for Dynapro SC3 DOS driver
REM
ECHO.
ECHO The calibration program will now be started automatically.  To
ECHO calibrate your touchscreen, perform the following steps in the
ECHO calibration program:
ECHO.
ECHO    - First, select option "C" to calibrate
ECHO.
ECHO    - Then select option "V" to select video modes
ECHO.
ECHO    - Select an appropriate video mode (must do modes 3,
ECHO      12, and 101 - selections 2, 0, and 11 respectively)
ECHO.
ECHO    - Select "C" to calibrate the selected mode
ECHO.
ECHO    - Repeat until all needed video modes are calibrated.
ECHO.
PAUSE
CLS
%TOUCH_PATH1%\TOUCHCFG
CLS
GOTO END

:DPRO_BUS
ECHO.
ECHO The calibration program will now be started automatically.  To
ECHO calibrate your touchscreen, perform the following steps in the
ECHO calibration program:
ECHO.
ECHO    - Select "H" to perform a Hard calibration.
ECHO.
ECHO    - Select "2" to calibrate 80x25 text mode.
ECHO.
ECHO    - Select "6" to calibrate 640x480 graphics mode.
ECHO.
ECHO    - Calibrate any other video modes that are likely to be used.
ECHO.
ECHO    - Select "X" to exit the calibration utility when finished.
ECHO.
PAUSE
%TOUCH_PATH1%\TBCAL
CLS
GOTO END

:CAL_ERR
ECHO.
ECHO Touchscreen not recognized!  Please check to be sure that the
ECHO touchscreen is configured properly, and BIOSTSR.EXE is loaded.
ECHO Unable to perform calibration...
ECHO.
PAUSE
CLS
GOTO END

:CAL_ERR1
ECHO.
ECHO Environment variables TOUCH_PATH and TOUCH_PATH1 are not
ECHO properly defined.  Unable to perform calibration...
ECHO.
PAUSE
CLS
GOTO END

:END

