@ECHO OFF
IF "%TOUCH_PATH%"=="" GOTO INIT_ERR
%TOUCH_PATH%\IDTOUCH
IF ERRORLEVEL 2 GOTO DPRO_SC3
IF ERRORLEVEL 1 GOTO DPRO_BUS
GOTO NOFIND

REM *************************************************************
REM Dynapro SC3 Serial Controller Initialization
REM *************************************************************
:DPRO_SC3
SET TOUCH_TYPE=DPRO_SC3
SET TOUCH_PATH1=%TOUCH_PATH%\DOX
LH %TOUCH_PATH1%\SC3DOX.EXE /NOBOUNDS
GOTO END

REM *************************************************************
REM Dynapro Bus Controller Initialization
REM 
REM The /I:xx parameter for TBDRIVER must match controller IRQ.
REM *************************************************************
:DPRO_BUS
SET TOUCH_TYPE=DPRO_BUS
SET TOUCH_PATH1=%TOUCH_PATH%\TCHBASE
LH C:\CTC\NOMOUSE
SET TBDPATH=%TOUCH_PATH%\TCHBASE
SET TBDINT=61
LH %TOUCH_PATH1%\TBDRIVER /A:310 /I:15
LH %TOUCH_PATH1%\TBMOUSE 1
GOTO END

:INIT_ERR
ECHO.
ECHO ERROR: Environment variable TOUCH_PATH is not defined.
ECHO Unable to load touchscreen drivers.
ECHO.
PAUSE
GOTO END

:NOFIND
ECHO.
ECHO                                 ATTENTION!!!
ECHO.
ECHO                      TOUCHSCREEN INITIALIZATION FAILURE
ECHO.
ECHO.
ECHO                  Please Verify Proper Touchscreen Settings
ECHO.
ECHO.
ECHO                    NOTE: Touching screen during boot can
ECHO                       cause this initialization error
ECHO.
ECHO.
ECHO                  Cycle power to restore proper operation
ECHO                                   - OR -
ECHO               Press any key to continue without touchscreen.
ECHO.
ECHO.
PAUSE
GOTO END

:END

